"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index_esm = require("../../didi/dist/index.esm.js");
const index = require("./core/index.js");
function a(t) {
  var e = new index_esm.Injector(t);
  return e.init(), e;
}
function u(t) {
  t = t || {};
  var e = {
    config: ["value", t]
  }, i = [e, index.default].concat(t.modules || []);
  return a(i);
}
function r(t, e) {
  this.injector = e = e || u(t), this.get = e.get, this.invoke = e.invoke, this.get("eventBus").fire("diagram.init");
}
r.prototype.destroy = function() {
  this.get("eventBus").fire("diagram.destroy");
};
r.prototype.clear = function() {
  this.get("eventBus").fire("diagram.clear");
};
exports.default = r;
